﻿namespace RandomFileRunner
{
    public class AppSession
    {
        public class HotKeyOptions
        {
            public bool IsCtrl { get; set; } = false;
            public bool IsAlt { get; set; } = false;
            public bool IsShift { get; set; } = false;
            public int Key { get; set; } = (int)System.Windows.Forms.Keys.None;

            public int ModifierCode => ((this.IsAlt ? 1 : 0) + (this.IsCtrl ? 2 : 0) + (this.IsShift ? 4 : 0));

            public System.Windows.Forms.Keys KeyCode => (System.Windows.Forms.Keys)this.Key;
        }


        public bool SearchTopDirectoryOnly { get; set; } = false;

        public bool ClosePrevOnNext { get; set; } = false;

        public HotKeyOptions NextHotKey { get; set; } = null;


        public bool AlwaysOnTop { get; set; } = false;

        public int NoFrames { get; set; } = 3;

    }
}
